Page MenuHomePhabricator

WikimediaMaintenance/addWiki.php should create cirrus indices on all available clusters
Closed, ResolvedPublic

Description

When a new wiki is created we need to manually create the indices on codfw cluster, addWiki.php and cirrus maint scripts should support multi-cluster configuration.

Event Timeline

dcausse created this task.Aug 5 2016, 9:39 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2016, 9:39 AM
debt triaged this task as Low priority.Aug 18 2016, 10:22 PM
debt added a project: good first bug.
debt moved this task from needs triage to Up Next on the Discovery-Search board.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 18 2016, 10:22 PM
debt moved this task from Up Next to Current work on the Discovery-Search board.Aug 30 2016, 10:06 PM
debt edited projects, added Discovery-Search (Current work); removed Discovery-Search.

Change 308107 had a related patch set uploaded (by EBernhardson):
Create cirrus indexes in both search clusters

https://gerrit.wikimedia.org/r/308107

Change 308108 had a related patch set uploaded (by EBernhardson):
Create cirrus indexes in both search clusters

https://gerrit.wikimedia.org/r/308108

Change 308107 abandoned by EBernhardson:
Create cirrus indexes in both search clusters

Reason:
should have been against master..

https://gerrit.wikimedia.org/r/308107

Change 308108 merged by jenkins-bot:
Create cirrus indexes in both search clusters

https://gerrit.wikimedia.org/r/308108

debt closed this task as Resolved.Sep 16 2016, 6:56 PM